directories:
  output: dist
  buildResources: assets
appId: com.lifeprimeti.crm
productName: Life Prime TI
artifactName: ${productName}-${version}-${os}-${arch}.${ext}
files:
  - filter:
      - main.js
      - preload.js
      - src/**/*
      - assets/**/*
      - '!**/*.map'
protocols:
  - name: Life Prime TI Links
    schemes:
      - lpt
publish:
  - provider: generic
    url: https://updates.lifeprimeti.com.br/lpt-crm/
mac:
  category: public.app-category.productivity
  target:
    - dmg
    - zip
  icon: assets/icon.png
win:
  target:
    - target: nsis
      arch:
        - x64
  icon: assets/icon.ico
  legalTrademarks: Life Prime TI
nsis:
  oneClick: false
  allowToChangeInstallationDirectory: true
  createDesktopShortcut: true
  createStartMenuShortcut: true
  shortcutName: Life Prime TI
  installerLanguages: pt_BR
linux:
  target:
    - AppImage
    - deb
  category: Utility
  icon: assets/icon.png
  maintainer: Life Prime TI
electronVersion: 31.7.7
